feedback_forensics.app.url_parser_test#

Tests for URL parser functionality.

Module Contents#

Functions#

test_get_config_from_query_params_with_analysis_mode

Test that analysis_mode is correctly parsed from query parameters.

test_get_config_from_query_params_without_analysis_mode

Test that config works correctly when analysis_mode is not provided.

test_get_url_with_query_params_with_analysis_mode

Test that analysis_mode is correctly included in generated URLs.

test_get_url_with_query_params_without_analysis_mode

Test that URL generation works correctly when analysis_mode is None.

test_make_str_url_ready_with_analysis_mode_values

Test that analysis mode values are correctly URL-encoded.

test_get_url_with_query_params_all_analysis_modes

Test URL generation with all valid analysis modes.

test_analysis_mode_only_config

Test parsing config with only analysis_mode parameter.

API#

feedback_forensics.app.url_parser_test.test_get_config_from_query_params_with_analysis_mode()#

Test that analysis_mode is correctly parsed from query parameters.

feedback_forensics.app.url_parser_test.test_get_config_from_query_params_without_analysis_mode()#

Test that config works correctly when analysis_mode is not provided.

feedback_forensics.app.url_parser_test.test_get_url_with_query_params_with_analysis_mode(mock_get_urlname, mock_get_datasets)#

Test that analysis_mode is correctly included in generated URLs.

feedback_forensics.app.url_parser_test.test_get_url_with_query_params_without_analysis_mode(mock_get_urlname, mock_get_datasets)#

Test that URL generation works correctly when analysis_mode is None.

feedback_forensics.app.url_parser_test.test_make_str_url_ready_with_analysis_mode_values()#

Test that analysis mode values are correctly URL-encoded.

feedback_forensics.app.url_parser_test.test_get_url_with_query_params_all_analysis_modes(mock_get_urlname, mock_get_datasets)#

Test URL generation with all valid analysis modes.

feedback_forensics.app.url_parser_test.test_analysis_mode_only_config()#

Test parsing config with only analysis_mode parameter.